From 2aa200e39334018a1ddd36901c1b5d0022fc2ea8 Mon Sep 17 00:00:00 2001
From: Transporter <ogre.transporter@gmail.com>
Date: Fri, 24 May 2024 09:01:23 +0200
Subject: [PATCH 1/2] Fix boost hash data type

---
 visualization/src/pcl_visualizer.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/visualization/src/pcl_visualizer.cpp b/visualization/src/pcl_visualizer.cpp
index 5f073646ac1..e07578a84bb 100644
--- a/visualization/src/pcl_visualizer.cpp
+++ b/visualization/src/pcl_visualizer.cpp
@@ -4591,7 +4591,7 @@ pcl::visualization::PCLVisualizer::getUniqueCameraFile (int argc, char **argv)
     // Build camera filename
     if (valid)
     {
-      unsigned int digest[5];
+      boost::uuids::detail::sha1::digest_type digest;
       sha1.get_digest (digest);
       sstream << ".";
       sstream << std::hex << digest[0] << digest[1] << digest[2] << digest[3] << digest[4];

From 66000bec2d7e0245d2ac5363241e841a94692f94 Mon Sep 17 00:00:00 2001
From: Transporter <ogre.transporter@gmail.com>
Date: Fri, 24 May 2024 16:35:52 +0200
Subject: [PATCH 2/2] Change file name generation.

---
 visualization/src/pcl_visualizer.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/visualization/src/pcl_visualizer.cpp b/visualization/src/pcl_visualizer.cpp
index e07578a84bb..bc9b959c246 100644
--- a/visualization/src/pcl_visualizer.cpp
+++ b/visualization/src/pcl_visualizer.cpp
@@ -4594,7 +4594,9 @@ pcl::visualization::PCLVisualizer::getUniqueCameraFile (int argc, char **argv)
       boost::uuids::detail::sha1::digest_type digest;
       sha1.get_digest (digest);
       sstream << ".";
-      sstream << std::hex << digest[0] << digest[1] << digest[2] << digest[3] << digest[4];
+      for (int i = 0; i < 5; ++i) {
+        sstream << std::hex << *(reinterpret_cast<unsigned int*>(&digest[0]) + i);
+      }
       sstream << ".cam";
     }
   }
